MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024085Open CASCADE[OCCT] OCCT:Codingpublic2013-07-24 14:462013-12-19 13:56
Reporteromy 
Assigned Toomy 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024085: Eliminate compiler warning C4706 in MSVC++ with warning level 4
DescriptionWhen compiling OCCT 6.6.0 with warning level set to 4, MSVC 2008 compiler produces many warnings c4706: assignment within conditional expression
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0023947closedomy Eliminate trivial compiler warnings in MSVC++ with warning level 4 

-  Notes
(0025151)
omy (developer)
2013-07-25 09:48

Dear kgv,
Please, review the branch CR24085.
(0025156)
kgv (developer)
2013-07-25 12:47

Patch is ready for testing.
(0025159)
abv (manager)
2013-07-25 17:01

GeomPlate: changed logic
Draw_Window: misplaced else
(0025160)
kgv (developer)
2013-07-25 17:13

Dear apn, please be careful re-basing branches - you have withdrawn my commit.
Restored branch now stored in CR24085_1.

Dear abv, these 2 issues should be taken into account within my corrections.
(0025170)
apn (administrator)
2013-07-26 14:23

Dear BugMaster,

Branch CR24085_1 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: b232a54ad1087f9f8dc77c22046ffcb6012f9290

Number of compiler warnings:

occt component :
Linux: 940 (945 on master)
Windows: 929 (954 on master)

products component :
Linux: 189 (189 on master)
Windows: 288 (288 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 364616156 / 364443592
Total CPU difference: 58393.98000000036 / 45731.27000000074

Testing on Windows:
Total MEMORY difference: 425815624 / 426385944
Total CPU difference: 36921.34375 / 37321.25

There are not differences in images found by testdiff.

- Related Changesets
occt: master 773f53f1
Timestamp: 2013-08-01 08:20:35
Author: omy
Details ] Diff ]
0024085: Eliminate compiler warning C4706 in MSVC++ with warning level 4

Got rid from most cases which led to Warning c4706
Tiny code style corrections
mod - src/BRepClass3d/BRepClass3d_Intersector3d.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_CheckCommands.cxx Diff ] File ]
mod - src/BRepTopAdaptor/BRepTopAdaptor_FClass2d.cxx Diff ] File ]
mod - src/Draw/Draw_Window.cxx Diff ] File ]
mod - src/Draw/MainWindow.cxx Diff ] File ]
mod - src/Extrema/Extrema_GExtCC.gxx Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_Lin2dTanObl.cxx Diff ] File ]
mod - src/GeomPlate/GeomPlate_BuildPlateSurface.cxx Diff ] File ]
mod - src/IntTools/IntTools_FClass2d.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_telem_view.cxx Diff ] File ]
mod - src/QABugs/QABugs_19.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - src/Visual3d/Visual3d_View.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-07-24 14:46 omy New Issue
2013-07-24 14:46 omy Assigned To => omy
2013-07-24 14:47 omy Relationship added child of 0023947
2013-07-24 14:47 omy Status new => assigned
2013-07-25 09:48 omy Note Added: 0025151
2013-07-25 09:48 omy Assigned To omy => kgv
2013-07-25 09:48 omy Status assigned => resolved
2013-07-25 12:47 kgv Note Added: 0025156
2013-07-25 12:47 kgv Assigned To kgv => bugmaster
2013-07-25 12:47 kgv Status resolved => reviewed
2013-07-25 12:49 apn Assigned To bugmaster => apn
2013-07-25 17:01 abv Note Added: 0025159
2013-07-25 17:01 abv Assigned To apn => omy
2013-07-25 17:01 abv Status reviewed => assigned
2013-07-25 17:13 kgv Note Added: 0025160
2013-07-25 17:18 omy Assigned To omy => bugmaster
2013-07-25 17:18 omy Status assigned => resolved
2013-07-25 17:26 apn Assigned To bugmaster => apn
2013-07-25 17:26 apn Status resolved => reviewed
2013-07-26 14:23 apn Note Added: 0025170
2013-07-26 14:24 apn Test case number => Not needed
2013-07-26 14:24 apn Assigned To apn => bugmaster
2013-07-26 14:24 apn Status reviewed => tested
2013-08-02 13:20 omy Changeset attached => occt master 773f53f1
2013-08-02 13:20 omy Assigned To bugmaster => omy
2013-08-02 13:20 omy Status tested => verified
2013-08-02 13:20 omy Resolution open => fixed
2013-12-19 13:52 bugmaster Status verified => closed
2013-12-19 13:56 bugmaster Fixed in Version => 6.7.0
2014-01-11 11:58 abv Category OCCT Release:BUILD => OCCT:Coding


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker